OrcProto.TypeOrBuilder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Interface OrcProto.TypeOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    OrcProto.Type, OrcProto.Type.Builder
  Enclosing class:
    OrcProto

      public static interface OrcProto.TypeOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFieldNames(int index)` `repeated string fieldNames = 3;`
    `com.google.protobuf.ByteString` | `getFieldNamesBytes(int index)` `repeated string fieldNames = 3;`
    `int` | `getFieldNamesCount()` `repeated string fieldNames = 3;`
    `List<String>` | `getFieldNamesList()` `repeated string fieldNames = 3;`
    `OrcProto.Type.Kind` | `getKind()` `optional .orc.proto.Type.Kind kind = 1;`
    `int` | `getMaximumLength()` `optional uint32 maximumLength = 4;`
    `int` | `getPrecision()` `optional uint32 precision = 5;`
    `int` | `getScale()` `optional uint32 scale = 6;`
    `int` | `getSubtypes(int index)` `repeated uint32 subtypes = 2 [packed = true];`
    `int` | `getSubtypesCount()` `repeated uint32 subtypes = 2 [packed = true];`
    `List<Integer>` | `getSubtypesList()` `repeated uint32 subtypes = 2 [packed = true];`
    `boolean` | `hasKind()` `optional .orc.proto.Type.Kind kind = 1;`
    `boolean` | `hasMaximumLength()` `optional uint32 maximumLength = 4;`
    `boolean` | `hasPrecision()` `optional uint32 precision = 5;`
    `boolean` | `hasScale()` `optional uint32 scale = 6;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasKind

          boolean hasKind()

      `optional .orc.proto.Type.Kind kind = 1;`

    - #### getKind

          OrcProto.Type.Kind getKind()

      `optional .orc.proto.Type.Kind kind = 1;`

    - #### getSubtypesList

          List<Integer> getSubtypesList()

      `repeated uint32 subtypes = 2 [packed = true];`

    - #### getSubtypesCount

          int getSubtypesCount()

      `repeated uint32 subtypes = 2 [packed = true];`

    - #### getSubtypes

          int getSubtypes(int index)

      `repeated uint32 subtypes = 2 [packed = true];`

    - #### getFieldNamesList

          List<String> getFieldNamesList()

      `repeated string fieldNames = 3;`

    - #### getFieldNamesCount

          int getFieldNamesCount()

      `repeated string fieldNames = 3;`

    - #### getFieldNames

          String getFieldNames(int index)

      `repeated string fieldNames = 3;`

    - #### getFieldNamesBytes

          com.google.protobuf.ByteString getFieldNamesBytes(int index)

      `repeated string fieldNames = 3;`

    - #### hasMaximumLength

          boolean hasMaximumLength()

      `optional uint32 maximumLength = 4;`

    - #### getMaximumLength

          int getMaximumLength()

      `optional uint32 maximumLength = 4;`

    - #### hasPrecision

          boolean hasPrecision()

      `optional uint32 precision = 5;`

    - #### getPrecision

          int getPrecision()

      `optional uint32 precision = 5;`

    - #### hasScale

          boolean hasScale()

      `optional uint32 scale = 6;`

    - #### getScale

          int getScale()

      `optional uint32 scale = 6;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.